import 'package:http/http.dart' as http;
import 'package:yaml/yaml.dart';

/// .
class Language {
  String text;
  String color;

  Language({this.text, this.color});

  factory Language.fromJson(Map<String, dynamic> json) {
    return json == null
        ? null
        : Language(
      text: json['text'],
      color: json['color'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    data['color'] = this.color;
    return data;
  }
}

Future<List<Language>> getLanguages() async {
  var yamlUrl = 'https://raw.githubusercontent.com/github/linguist/master/lib/linguist/languages.yml';
  var resYaml = await http.get(yamlUrl);
  var yaml = loadYaml(resYaml.body);

  List<Language> languages = [];
  yaml.nodes.forEach((key, value) {
    languages.add(Language(
      text: key.value,
      color: value['color'] ?? '#cccccc',
    ));
  });

  return languages;
}
